CREATE TABLE fun_erp_service_execution_info (
    ERP_OBJECT_ID                    NUMBER(18, 0) ,
    ERP_FAMILY_CODE                  VARCHAR2(600)     NOT NULL,
    APPLICATION_ID                   NUMBER(18, 0)     NOT NULL,
    BUSINESS_OBJECT_NAME             VARCHAR2(600)     NOT NULL,
    DATA_SOURCE_OBJECT_NAME          VARCHAR2(4000)    NOT NULL,
    DATA_SOURCE_OBJECT_TYPE_CODE     VARCHAR2(120)     NOT NULL,
    DATA_SOURCE_OBJECT_USAGE_CODE    VARCHAR2(120)     NOT NULL,
    DATA_LINK_OBJECT_NAME            VARCHAR2(4000),
    USER_KEY1                        VARCHAR2(4000),
    USER_KEY2                        VARCHAR2(4000),
    USER_KEY3                        VARCHAR2(4000),
    USER_KEY4                        VARCHAR2(4000),
    USER_KEY5                        VARCHAR2(4000),
    OBJECT_ACCESS_TASKFLOW           VARCHAR2(4000),
    OBJECT_VERSION_NUMBER            NUMBER(9, 0)      NOT NULL,
    CREATION_DATE                    TIMESTAMP(6)      NOT NULL,
    CREATED_BY                       VARCHAR2(256)     NOT NULL,
    LAST_UPDATED_BY                  VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE                 TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN                VARCHAR2(128) ,
    ENABLED_FLAG                     VARCHAR2(4)   ,
    SEED_DATA_SOURCE                 VARCHAR2(2048),
    ORA_SEED_SET1                    VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2                    VARCHAR2(4)       NOT NULL,
    ERP_OBJECT_ID                    NUMBER(18, 0) ,
    ERP_FAMILY_CODE                  VARCHAR2(600)     NOT NULL,
    APPLICATION_ID                   NUMBER(18, 0)     NOT NULL,
    BUSINESS_OBJECT_NAME             VARCHAR2(600)     NOT NULL,
    DATA_SOURCE_OBJECT_NAME          VARCHAR2(4000)    NOT NULL,
    DATA_SOURCE_OBJECT_TYPE_CODE     VARCHAR2(120)     NOT NULL,
    DATA_SOURCE_OBJECT_USAGE_CODE    VARCHAR2(120)     NOT NULL,
    DATA_LINK_OBJECT_NAME            VARCHAR2(4000),
    USER_KEY1                        VARCHAR2(4000),
    USER_KEY2                        VARCHAR2(4000),
    USER_KEY3                        VARCHAR2(4000),
    USER_KEY4                        VARCHAR2(4000),
    USER_KEY5                        VARCHAR2(4000),
    OBJECT_ACCESS_TASKFLOW           VARCHAR2(4000),
    OBJECT_VERSION_NUMBER            NUMBER(9, 0)      NOT NULL,
    CREATION_DATE                    TIMESTAMP(6)      NOT NULL,
    CREATED_BY                       VARCHAR2(256)     NOT NULL,
    LAST_UPDATED_BY                  VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE                 TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN                VARCHAR2(128) ,
    ENABLED_FLAG                     VARCHAR2(4)   ,
    SEED_DATA_SOURCE                 VARCHAR2(2048),
    ORA_SEED_SET1                    VARCHAR2(4)       NOT NULL,
    ORA_SEED_SET2                    VARCHAR2(4)       NOT NULL,
    CONSTRAINT pk_fun_erp_service_execution_info PRIMARY KEY (ERP_OBJECT_ID, ERP_OBJECT_ID)
);
